• English
  • Parameter conventions

    Request header information

    KeyValue
    Accept"application/json"
    Content-Type"application/json"
    Authorization"Bearer" + AppId (with spaces after Bearer)
    Signatureuse the merchant's private key to sign the digest of the body data. For more information,see signature method.
    CountryCode"NG" (country code) Other country codes

    Request body Information

    Request body common parameters

    Current API version: V1.1 Version value is V1.1

    {
        "requestTime": "The time when the request was sent (UTC time), Timestamp timestamp",
        "version": "V1.1",
        "nonceStr": "32-bit random string"
    }

    Full example of request body

    {
        "requestTime": 1662171389940,    
        "version": "V1.1",
        "nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "amount": 200,
        "currency": "NGN",
        "notifyUrl": "https://xx.cn/callback/payment",
        "orderId": "testc9ffae997fc1",
        "title": "pay",
        "token": "****",
        "transType": "41",
        "userId": "110",
        "country": "NG"
    }

    Curl example

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/createorder' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime":1662171389940,
        "version":"V1.1",
        "nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "amount":200,
        "notifyUrl":"https://xx.cn/callback/payment",
        "orderId":"testc9ffae997fc1",
        "title":"pay",
        "description": "pay some thing",
        "userId":"110",
        "currency": "NGN",
        "callBackUrl": "http://returnurl",
        "goodsDetails": "[{\"goodsId\": \"1\"}]",
        "productType":"pay_wallet"
    }'

    Response parameters

    {
        "respCode": "00000000",
        "respMsg": "success",
        "data": {}
    }
    FieldDescription
    respCodeResponse code, "00000000" indicates successful (For more information, see error code)
    respMsgResponse Code description
    dataResponse business data

    Unit of amount

    The payment amount defaults to the smallest unit of the local currency, which is usually (cents), and the transaction amount request parameter does not have a decimal point.

    Merchant order number

    32-bit, any combination of numbers or English letters except special symbols.